#!/bin/bash

if [ $# -ne 1 ]
then
	echo "usage : $0 <filename>"
	exit 0
fi

DIR=$(dirname "$1")
filename=$DIR/$(basename "$1" .dgs).dgs

echo "exporting as $filename"
tar -Pczvf "$filename" /etc/dansguardian/dansguardian.conf /etc/dansguardian/lists
