#!/bin/bash

if [ $# -ne 1 ]
then
	echo "usage : $0 <filename>"
	exit 0
fi

DIR=$(dirname "$1")
filename=$DIR/$(basename "$1" .dgs.full).dgs.full

echo "Running from $(pwd)"
echo "exporting as $filename"
tar -Pczvf "$filename" /etc/tinyproxy/tinyproxy.conf /etc/firehol/firehol.conf /etc/default/firehol /etc/init.d/dansguardian /etc/dansguardian/dansguardian.conf /etc/dansguardian/lists
