#!/bin/bash
source ./file_paths.sh

get_status()
{
    status=`sed -n "s/START_FIREHOL=\(.*\)/\1/p" $FIREHOL`
    echo "START_FIREHOL=$status"
}

if [ $# -ne 1 ]
then
        echo "usage : $0 <on/off/status>"
        exit 0
fi

if [ $1 = 'on' ]
then
    echo "ON"
    get_status
    sed -i.bak 's/START_FIREHOL=.*/START_FIREHOL=YES/' $FIREHOL
    get_status
    exit 0
fi

if [ $1 = 'off' ]
then
    echo "OFF"
    get_status
    sed -i.bak 's/START_FIREHOL=.*/START_FIREHOL=NO/' $FIREHOL
    get_status
    exit 0
fi

if [ $1 = 'status' ]
then
    echo "STATUS"
    get_status
    exit 0
fi

echo "invalid argument"
echo "usage : $0 <on/off/status>"
