#!/bin/bash

if [ $# -ne 2 ]
then
	echo "usage : $0 <program> <group>"
	exit 0 
fi
program=$1
group=$2

program_path=`which $program`
echo $program_path

if test -z $program_path
then
echo "empty program_path"
exit 1
fi
if test -z $group 
then
echo "empty group"
exit 1
fi

ls -l $program_path
sudo chmod o-x $program_path
sudo chgrp $group $program_path
ls -l $program_path
